<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */


class DatenDMZJcsEscadaWriter extends DatenDMZWriter
{
  
  public static function &getInstance($pReset = false)
  {
    if ($pReset) {
      self::$instance = null;
    }
    if (null === self::$instance) {
      self::$instance = new DatenDMZJcsEscadaWriter();
    }

    return self::$instance;
  }

  
  protected function sendToDmz(EmailXML $emailxml, $emailxmlkurs): bool
  {
    return BucherDMZ::sendToDmz($emailxml, array($emailxmlkurs), AbgleichAPI::ABGLEICH_ANMELDUNGDIREKT_JCSESCADA);
  }
}